@import url('../fonts/cairo/font.css');

body{
    font-family: Cairo, 'sans-serif';
    font-size: 13px;
}

.gray-page{
    background-color: #f0efef;
}

#public-header,
#sidebar {
    background-color: #221c4e;
    font-size: 14px;
    transition: all 0.3s;
}

#public-header .navbar{
    padding-left: 0;
    padding-right: 0;
}

#public-header .navbar-brand img,
#sidebar .navbar-brand img{
    height: 37px;
    max-width: 100%;
}

#public-header .nav-link{
    color: #fff;
}

#sidebar .nav-link .nav-item-icon{
    margin-left: 15px;
    font-size: 17px;
}

#sidebar .nav-item-divider {
    border-top: 1px solid rgba(0, 0, 0, 0.4);
    border-bottom: 1px solid rgba(255, 255, 255, 0.19);
    margin: 10px;
}

#sidebar .navbar-toggler{
    outline: none;
}

#content {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    transition: all 0.3s;
}

.content-body{
    padding: 20px;
}

.tobbar{
    min-height: 60px;
    background-color: #fff;
    box-shadow: 0px 1px 8px 0px rgba(199, 199, 199, 0.5);
}

.tobbar-body{
    padding: 10px 20px;
}

.gray-page .tobbar{
    box-shadow: 0px 1px 8px 0px rgba(199, 199, 199, 0.8);
}


#public-footer{
    color: #F7F8FF;
}

#public-footer .public-footer-top{
    font-size: 14px;
    background: #221c4e;
    padding: 22px 0;
}

#public-footer .public-footer-bottom{
    background: #1c1931;
    padding: 22px 0;
}

#public-footer .public-footer-bottom a{
    color: #F7F8FF;
}

#public-footer .footer-nav{
    list-style: none;
    padding: 0;
}

#public-footer .footer-nav a{
    line-height: 25px;
    font-weight: 400;
    font-size: 14px;
    color: #d8d8d8;
}

#public-footer .footer-nav.with-icons a{
    line-height: 32px;
}

#public-footer .footer-nav.with-icons a:before{
    content: "\f053";
    font: normal normal normal 14px/1 FontAwesome;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-style: normal;
    font-weight: 400;
    text-decoration: inherit;
    margin-left: 5px;
    font-size: 11px;
}

#public-footer .nav-divider {
    border-top: 1px solid rgba(0, 0, 0, 0.4);
    border-bottom: 2px solid rgba(255, 255, 255, 0.34);
    margin: 10px 0;
}

#public-footer .social a{
    width: 35px;
    height: 35px;
    border: 1px solid;
    text-align: center;
    display: inline-block;
    line-height: 35px;
    color: #fff;
    border-radius: 30px;
    font-size: 18px;
    margin-left: 5px;
    margin-bottom: 5px;
}

#public-footer .contact-form .form-control{
    color: #fff;
    background-color: #313180;
    border: none;
    box-shadow: none;
}

#public-footer .contact-form .form-control::-webkit-input-placeholder {
    color: #fff;
}

#public-footer .contact-form .form-control::-moz-placeholder {
    color: #fff;
}
#public-footer .contact-form .form-control:-ms-input-placeholder {
    color: #fff;
}
#public-footer .contact-form .form-control:placeholder {
    color: #fff;
}


#footer{
    text-align: center;
    color: #565656;
    margin-top: auto;
    padding: 0 20px 15px;
}



/********* Common components *********/
h1, .h1 {
    font-size: 25px;
}

h2, .h2 {
    font-size: 22px;
}

h3, .h3 {
    font-size: 20px;
}

h4, .h4 {
    font-size: 18px;
}

h5, .h5 {
    font-size: 16px;
}

h6, .h6 {
    font-size: 14px
}

.fz-14{
    font-size: 14px;
}

.fz-15{
    font-size: 15px;
}

.fz-16{
    font-size: 16px;
}

.fz-19{
    font-size: 19px;
}

.display-3{
    font-size: 2.7rem;
}

.display-4{
    font-size: 2rem;
}

.dropdown-menu{
    z-index: 9999;
}

.dropdown-menu,
.input-group-text,
.custom-select,
.popover-header,
.form-control,
.btn{
    font-size: 14px;
}

.btn:focus, .btn.focus{
    box-shadow: none;
}

a {
    color: #83296b;
}

a:hover {
    color: #221c4e;
}

.bg-primary {
    background-color: #83296b !important;
}

.border-primary {
    border-color: #83296b !important;
}

.text-primary {
    color: #83296b !important;
}

a.text-primary:hover, a.text-primary:focus {
    color: #83296b !important;
}

.btn-primary {
    color: #fff;
    background-color: #83296b;
    border-color: #83296b;
}

.btn-primary:hover {
    background-color: #8f417a;
    border-color: #8f417a;
}

.btn-primary.disabled, .btn-primary:disabled {
    background-color: #83296b;
    border-color: #83296b;
    color: #fff !important;
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
    background-color: #8f417a;
    border-color: #83296b;
}

.btn-primary:focus, .btn-primary.focus {
    color: #fff;
    background-color: #83296b;
    border-color: #83296b;
}

.btn-outline-primary {
    color: #83296b;
    border-color: #83296b;
}

.btn-outline-primary:hover {
    background-color: #83296b;
    border-color: #83296b;
}

.btn-icon{
    min-width: 31px;
}

.btn-as-radio{
    position: relative;
    margin-left: 0.75rem;
    background: transparent !important;
    outline: none !important;
    border: none !important;
    color: inherit;
    padding: 0 1.5rem 0 0;
    box-shadow: none !important;
}

.btn-as-radio::before {
    position: absolute;
    top: .25rem;
    display: block;
    width: 1rem;
    height: 1rem;
    content: "";
    right: 0;
    border-radius: 50%;
    background: #dee2e6;
}

.btn-as-radio.active::before{
    border: 5px solid #fb9678;
    background: #fff;
}

.page-link,
.btn-link,
.btn-outline-primary.disabled, .btn-outline-primary:disabled {
    color: #83296b;
}

.page-link:hover,
.btn-link:hover {
    color: #83296b;
}

.btn-outline-primary:not(:disabled):not(.disabled):active, .btn-outline-primary:not(:disabled):not(.disabled).active,
.show > .btn-outline-primary.dropdown-toggle {
    background-color: #83296b;
    border-color: #83296b;
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-color: #83296b;
    background-color: #83296b;
}

.list-group-item.active,
.page-item.active .page-link,
.custom-checkbox .custom-control-input:indeterminate ~ .custom-control-label::before {
    border-color: #83296b;
    background-color: #83296b;
}

.progress-bar,
.badge-primary,
.nav-pills .nav-link.active,
.nav-pills .show > .nav-link,
.dropdown-item.active, .dropdown-item:active,
.custom-range::-webkit-slider-thumb,
.custom-range::-ms-thumb,
.custom-range::-moz-range-thumb {
    background-color: #83296b;
}

.nav-pills .nav-link {
    border-radius: 1rem;
    color: inherit;
    padding: 0.4rem 1.4rem;
}

.nav-pills a{
    color: inherit;
    text-decoration: none;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link{
    background-color: #83296b;
}

.no-gutter.row{
    margin-left: 0;
    margin-right: 0;
}

.no-gutter > [class^="col-"],
.no-gutter > .col{
    padding-left: 0;
    padding-right: 0;
}

.font-17{
    font-size: 17px;
}

.empty-text{
    color: #bbb;
    font-size: 20px;
    font-weight: bold;
    padding: 70px 0;
    text-align: center;
}

.disabled{
    opacity: 0.7 !important;
    color: currentColor !important;
    cursor: not-allowed !important;
    pointer-events: auto !important;
}

.nav-orange{
    padding: 10px 10px 0;
}

.nav-orange .nav-link{
    color: #5c5c5c;
    border-radius: 0;
    padding-bottom: 15px;
}

.nav-orange .nav-link:hover{
    color: #000;
}

.nav-orange .nav-link.active,
.nav-orange .show > .nav-link{
    color: #000;
    border-bottom: 2px solid #83296b;
    margin-bottom: -2px;
    background: transparent;
}

.form-material .form-control{
    background-color: transparent;
    background-position: center bottom, center calc(100% - 1px);
    background-repeat: no-repeat;
    background-size: 0 2px, 100% 1px;
    padding: 0;
    background-image: linear-gradient(#83296b, #83296b), linear-gradient(#e9ecef, #e9ecef);
    border: 0 none;
    border-radius: 0;
    box-shadow: none;
    float: none;
    transition: background 0s ease-out 0s;
}

.form-material .form-control.focus,
.form-material .form-control:focus {
    box-shadow: none;
    background-size: 100% 2px, 100% 1px;
    outline: 0 none;
    transition-duration: 0.3s;
}

.plyr--audio .plyr__controls {
    border-bottom: 1px solid #64c8d3 !important;
    padding: 5px 0;
}

.plyr--full-ui input[type=range] {
    color: #64c8d3;
}

.plyr--video .plyr__control.plyr__tab-focus, .plyr--video .plyr__control:hover, .plyr--video .plyr__control[aria-expanded=true],
.plyr--audio .plyr__control.plyr__tab-focus, .plyr--audio .plyr__control:hover, .plyr--audio .plyr__control[aria-expanded=true] {
    background: #83296b;
    box-shadow: none;
}

.plyr__control.plyr__tab-focus,
.plyr__control--overlaid{
    background: rgba(255, 140, 0, 0.8)
}

.bg-gray{
    background-color: #f0efef !important;
}

.cl-gray{
    color: #555;
}

.bg-section{
    background-size: cover !important;
    background-position-x: 50% !important;
    background-position-y: 50% !important;
    min-height: 190px;
    position: relative;
}

ul.content,
ol.content{
    line-height: 2.3;
    padding-right: 15px;
}

ul {
    list-style-type: '-  ';
}

/********* Home Page *********/
.section-common-space {
    padding: 50px 0 50px;
}

.section-common-space iframe{
    width: 100%;
    height: 350px;
}

.section-common-space .section-title{
    margin-bottom: 18px;
    font-size: 20px;
    line-height: 30px;
}

.section-common-space .section-text{
    margin-bottom: 18px;
    color: #757575;
    font-size: 17px;
    line-height: 2;
}

.section-common-buttons a{
    display: block;
    color: inherit;
}

.section-common-buttons i{
    vertical-align: bottom;
}

.section-video{
     position: relative;
     background-color: #fff;
     height: 80vh;
     min-height: 25rem;
     width: 100%;
     overflow: hidden;
}

.section-video .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.6;
    z-index: 1;
}

.section-video video{
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 0;
    -ms-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
}

.section-video .container {
    position: relative;
    z-index: 2;
}

.section-counters{
    position: relative;
    color: #fff;
    padding: 250px 0 200px;
    font-size: 24px;
}

.section-counters .section-counters-cover{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
}

.section-counters img{
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.section-counters .overlay{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.5;
}

.section-levels{
    position: relative;
    padding-top: 10px;
    z-index: 2;
}

.section-levels .nav{
    box-shadow: 0px 1px 8px 0px rgba(199, 199, 199, 0.7);
    margin: 0 25px 30px;
    padding: 20px 0;
    font-size: 14px;
    background: #fff;
    margin-top: -40px;
}

.section-levels .nav .nav-link {
    padding: 0.6rem 1.5rem;
}

.section-levels-card{
    position: relative;
    -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.16), 0 0 0 1px rgba(0, 0, 0, 0.08);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.16), 0 0 0 1px rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    border: 0 solid transparent;
    margin: 0;
    overflow: hidden;
    color: inherit;
    cursor: pointer;
}

.section-levels-card .card-avatar {
    height: 170px;
    overflow: hidden;
    position: relative;
    background: #e1e4e8;
}

.section-levels-card .card-avatar img {
    object-fit: cover;
    height: 100%;
    width: 100%;
    -webkit-filter: sepia(.1) grayscale(.1) saturate(.8);
    filter: sepia(.1) grayscale(.1) saturate(.8);
}

.section-levels-card .card-hover-cover {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-weight: 400;
    -o-transition: background .1s ease;
    -webkit-transition: background .1s ease;
    transition: background .1s ease;
    visibility: hidden;
}

.section-levels-card:hover .card-hover-cover {
    background: #83296b;
    visibility: visible;
}

/********* Stories Page *********/
.stories-card{
    margin-bottom: 40px;
}

.stories-card-container{
    display: block;
    height: 100%;
    box-shadow: 0 0 5px 2px rgba(20,23,28,.1), 0 3px 5px 0 rgba(20,23,28,.1);
    background: #fff;
    transition: all .2s ease;
}

.stories-card-img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.stories-card-container:hover{
    transform: translate(0,-10px);
    -webkit-transform: translate(0,-10px);
    -ms-transform: translate(0,-10px);
}

.stories-card-container.disabled:hover{
    transform: none;
    -webkit-transform: none;
    -ms-transform: none;
}

.shelf {
    border-bottom: 35px solid #d4d5d7;
    border-left: 35px solid transparent;
    border-right: 35px solid transparent;
    top: -15px;
    z-index: -10;
    margin-bottom: 40px;
}
.shelf:after {
    content: '';
    background: #e7e8ea;
    height: 13px;
    width: calc(100% + 70px);
    position: absolute;
    top: 35px;
    left: 0;
    right: 0;
    z-index: 1;
    margin: 0 -35px;
}


/********* Story song Page *********/
.story-song-cover{
    background-image: url("../images/story-song.png");
    background-size: cover;
    min-height: 200px;
}

.story-song-content{
    min-height: 600px;
    box-shadow: 0 0 5px 2px rgba(20,23,28,.1), 0 3px 5px 0 rgba(20,23,28,.1);
    background: #fff;
    max-width: 850px;
    padding: 25px;
    margin: -100px auto 20px;
    font-size: 15px;
}


.story-card{
    max-width: 950px;
}

.story-card img{
    display: none;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.story-card img.active{
    display: block;
}

.story-card .plyr,
.story-card audio{
    display: none;
}


.btn-next,
.btn-previous {
    background: #64c8d3;
    color: #fff !important;
    width: 25px;
    position: relative;
    border-radius: 0;
    border: none;
    padding: 0.4rem 0;
    box-shadow: none !important;
}

.btn-next:before,
.btn-previous:before {
    content: "";
    border-top: 25px solid transparent;
    border-left: 25px solid #64c8d3;
    position: absolute;
    bottom: 100%;
    left: 0;
}
.btn-next:before{
    border-right: 25px solid #64c8d3;
    border-left: 0;
}

.btn-next:after,
.btn-previous:after {
    content: "";
    border-bottom: 25px solid transparent;
    border-left: 25px solid #64c8d3;
    position: absolute;
    top: 100%;
    left: 0;
}

.btn-next:after{
    border-right: 25px solid #64c8d3;
    border-left: 0;
}

.btn-next.disabled, .btn-previous.disabled{
    opacity: 0 !important;
    cursor: default !important;
}


/********* Songs Page *********/
.songs-card{
    max-width: 900px;
    background: #f6f6f6;
}

.songs-card-nav .nav-link{
    color: #0d0d0d;
    position: relative;
    padding-left: 40px;
    padding-right: 40px;
    transition: all 0.15s;
}
.songs-card-nav .nav-link:before,
.songs-card-nav .nav-link:after{
    position: absolute;
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: 15px;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    width: 40px;
    text-align: center;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}
.songs-card-nav .nav-link:after{
    left: 0;
    content: "\f001";
    color: #5c5c5c;
}

.songs-card-nav .nav-link:hover,
.songs-card-nav .nav-link.active{
    box-shadow: 0px 2px 3px 1px rgba(199, 199, 199, 0.8);
}
.songs-card-nav .nav-link.active:before{
    right: 0;
    content: "\f04b";
    color: #d0c8c8;
}

.songs-card-vnav li {
    -webkit-writing-mode: vertical-lr;
    -ms-writing-mode: tb-lr;
    writing-mode: vertical-lr;
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
    -webkit-transform-origin: center center;
    transform-origin: center center;
    list-style-type: none;
}
.songs-card-vnav .nav-link{
    background: #d0c8c8;
    border-radius: 10px 0 0 10px;
    padding: 20px 8px;
    color: #fff;
    margin-top: 1px;
}
.songs-card-vnav .nav-link.active{
    background: #83296b;
}

/********* Smarts Page *********/
.bg-smarts{
    background: linear-gradient( rgba(0, 0, 0, 0.5) 100%, rgba(0, 0, 0, 0.5)100%),url("../images/smarts-header.png");
    padding-top: 140px;
}
.smarts-carousel .carousel-inner{
    padding: 0 55px;
}
.smarts-carousel .carousel-control-prev,
.smarts-carousel .carousel-control-next{
    width: 40px;
}
.smarts-carousel .carousel-control-next-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%2383296b' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M2.75 0l-1.5 1.5L3.75 4l-2.5 2.5L2.75 8l4-4-4-4z'/%3e%3c/svg%3e");
}
.smarts-carousel .carousel-control-prev-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%2383296b' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M5.25 0l-4 4 4 4 1.5-1.5L4.25 4l2.5-2.5L5.25 0z'/%3e%3c/svg%3e");
}
.smarts-carousel .carousel-control-prev-icon,
.smarts-carousel .carousel-control-next-icon {
    width: 30px;
    height: 30px;
}

.smarts-carousel .carousel-indicators li{
    border-radius: 34px;
    border: 1px solid rgba(85, 85, 85, 0.6);
    width: 10px;
    height: 10px;
}

.smarts-carousel .carousel-indicators .active{
    background: rgba(85, 85, 85, 0.6);
}

.nav-tabs{
    border-bottom-width: 2px;
    border-color: #d7d7d7;
}
.nav-tabs .nav-item {
    margin-bottom: -2px;
}
.nav-tabs .nav-link{
    color: inherit;
}
.nav-tabs .nav-link:hover,
.nav-tabs .nav-link:focus {
    border-color: transparent;
}
.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link{
    border-width: 2px;
    background: transparent;
    border-color: #d7d7d7 #d7d7d7 #f0efef;
}
.nav-tabs-title{
    font-weight: 600;
    font-size: 14px;
}
.nav-tabs-title i{
    font-size: 22px;
    vertical-align: middle;
}

.primary-table{
    font-size: 12px;
}

.primary-table thead th{
    background: #83296b;
    color: #fff;
    vertical-align: middle;
    position: relative;
}

.primary-table thead th:after{
    content: '';
    position: absolute;
    top: 12px;
    bottom: 12px;
    left: 0;
    width: 1px;
    background: #fff;
}
.primary-table thead th:last-child:after{
    content: none;
}

/*********Login Page *********/
#login-page .cover{
    background-image: url("../images/registration.jpeg");
    background-size: cover;
    min-height: 100vh;
    box-shadow: 1px 1px 3px 0px #f69c4347;
}

#login-page .brand{
    display: block;
}

#login-page .brand img{
    max-width: 100%;
    height: 60px;
}


@media(min-width:768px) {
    #wrapper {
        display: flex;
        align-items: stretch;
    }

    #public-header .navbar-nav{
        margin-right: auto;
    }

    #sidebar{
        display: block;
        padding: 0;
        min-width: 200px;
        max-width: 200px;
    }

    #sidebar .navbar-nav{
        display: block;
        width: 100%;
    }

    #sidebar .navbar-brand{
        height: 60px;
        padding: 10px 20px;
        margin-right: 50px;
        margin-bottom: 10px;
        margin-left: 0;
        display: block;
        margin-left: 0;
    }

    #sidebar .navbar-nav .nav-link{
        padding-left: 20px;
        padding-right: 20px;
    }

    #sidebar .navbar-nav .nav-link:hover{
        background: #433264;
    }

    #sidebar .navbar-nav .show > .nav-link,
    #sidebar .navbar-nav .active > .nav-link,
    #sidebar .navbar-nav .nav-link.show,
    #sidebar .navbar-nav .nav-link.active{
        background: #83296b;
    }

    #sidebar .navbar-nav .dropdown-menu{
        position: static;
        background-color: #83296b;
        border-radius: 0;
        margin: 0;
    }
    #sidebar .navbar-nav .dropdown-item{
        color: #fff;
    }

    .nav-orange{
        min-height: 60px;
    }
}

@media(min-width:992px) {
    .stories-card{
        margin-bottom: 0;
    }
}


@media (max-width: 767px){
    .navbar-brand{
        margin-left: auto;
        margin-right: 1rem;
    }

    .section-counters{
        padding: 80px 0 100px;
    }

    .section-counters .counter{
        margin-top: 30px;
    }
}
